@charset "UTF-8";
* {
    box-sizing: border-box;
}
html,
body {
    overflow: hidden;
    width: 100%;
    height: 100%;
}
#initializeLoad {
    position: fixed;
    width: 100%;
    height: 100%;
    background: white;
    z-index: 20000;
    display: flex;
    justify-content: center;
    align-items: center;
}

#initializeLoad i {
    font-size: 10vh;
    color: #2079df;
}

#initializeLoadImg {
    position: fixed;
    animation: poyon 0.8s ease-in infinite;
    -webkit-animation: poyon 0.8s ease-in infinite;
    -moz-animation: poyon 0.8s ease-in infinite;
    -o-animation: poyon 0.8s ease-in infinite;
    -ms-animation: poyon 0.8s ease-in infinite;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}
span.required {
    display: inline-block;
    background-color: indianred;
    color: white;
    border-radius: 5px;
    padding: 1px;
    margin: 0 5px;
}
ul,
li {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
:placeholder-shown {
    color: #999999;
}
::-webkit-input-placeholder {
    color: #999999;
}
:-moz-placeholder {
    color: #999999;
    opacity: 1;
}
::-moz-placeholder {
    color: #999999;
    opacity: 1;
}
:-ms-input-placeholder {
    color: #999999;
}
@keyframes poyon {
    40%,
    60% {
        transform: scale(1, 1) translate(-50%, -50%);
    }
    50% {
        transform: scale(1.05, 0.97) translate(-50%, -50%);
    }
}
.completeOnly {
    box-sizing: border-box;
    width: calc(50% - 10px);
    margin: 0 5px;
    float: left;
    padding: 5px 6px;
    text-align: center;
    border-radius: 5px;
    background: gainsboro;
    cursor: pointer;
}
.incompleteOnly {
    box-sizing: border-box;
    width: calc(50% - 10px);
    margin: 0 5px;
    float: left;
    padding: 5px 6px;
    text-align: center;
    border-radius: 5px;
    background: gainsboro;
    cursor: pointer;
}

.selectedButton {
    -webkit-box-shadow: 0 2px rgba(0, 0, 0, 0.4), 0 2px rgba(0, 0, 0, 0.4) inset;
    box-shadow: 0 2px rgba(0, 0, 0, 0.4), 0 2px rgba(0, 0, 0, 0.4) inset;
    background: yellowgreen !important;
    color: white;
}

.completeOnly:hover {
    box-shadow: 0 0 0 2px #b0c4de;
}
.incompleteOnly:hover {
    box-shadow: 0 0 0 2px #b0c4de;
}

#content {
    height: calc(100% - 50px);
    width: 100%;
}
#back {
    position: relative;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
}
#headBar {
    font-weight: bold;
    text-align: center;
    font-size: 110%;
}
#centerDiv {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    width: 100%;
    max-width: 600px;
}
p.error {
    font-size: 90%;
    margin: 0;
    padding: 0;
    color: #ff0000;
}
.input-group {
    width: 100%;
    padding: 0 10px;
    margin-bottom: 8px;
}
.input-label {
    display: block;
    padding: 0;
    margin: 0;
    margin-bottom: 5px;
}
.input-text {
    width: 100%;
    padding: 0;
    margin: 0;
    display: block;
    height: 36px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.6;
    color: #555555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccd0d2;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out 0.15s,
        box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.input-area {
    height: auto;
    width: 100%;
    padding: 0;
    margin: 0;
    display: block;
    height: 36px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.6;
    color: #555555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccd0d2;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out 0.15s,
        box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.input-head {
    /* padding: 10px 15px; */
    background: whitesmoke;
    border-bottom: 1px solid #b3b3b3;
}
.btnBase {
    margin: 0 6px;
    display: inline-block;
    margin-bottom: 0;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    touch-action: manipulation;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    white-space: nowrap;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.6;
    border-radius: 4px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.btnBase[disabled] {
    background-image: none;
    background-color: #ccc;
    border-color: #ccc;
    cursor: not-allowed;
}
.modalWindow {
    width: 100%;
    /* padding:5px; */
    cursor: default;
    top: 0;
    background-color: whitesmoke;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    overflow: hidden;
    -ms-user-select: none;
    -moz-user-select: -moz-none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    overflow: visible;
    z-index: 3000;
    width: 90%;
    padding: 1em;
}
.banish {
    position: absolute;
    right: -10px;
    top: -10px;
    cursor: pointer;
    background: white;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    box-shadow: 0 0 0 2px gray;
}
.banishImage {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70%;
}
.hover {
    box-shadow: 0 0 0 2px lightblue;
}

.span {
    /* background-color:#b0c4de!important; */
    background-color: gainsboro !important;
}
.socialBtn {
    width: 30%;
    text-align: center;
}
button.normal {
    color: #fff;
    background-color: #3097d1;
    border-color: #2a88bd;
}
button.make {
    color: white;
    background-color: forestgreen;
    border-color: green;
}
button.delete {
    color: white;
    background-color: brown;
    border-color: darkred;
}
button.login {
    width: 45%;
}
.twitter {
    color: #fff;
    background-color: #00ffff;
}
.facebook {
    color: #fff;
    background-color: #3300cc;
}
.google {
    color: #fff;
    background-color: #ff3333;
}
.container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}
@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}
@media (min-width: 768px) and (max-width: 992px) {
    .container {
        max-width: 720px;
    }
}
@media (max-width: 768px) {
    .container {
        max-width: 540px;
    }
}
